%define	git		0
%define	gitdate	20170810

Summary:	Pack of multi-standard audio plugins and host for JACK
Name:		calf
%if %{git}
Version:	0.0.61
Release:	0.%{gitdate}
%else
Version:	0.90.0
Release:	1
%endif
License:	LGPLv2.1
Group:		Sound
Url:		http://calf-studio-gear.org
%if %{git}
Source0:	%{name}-%{gitdate}.tar.xz
Patch0:		%{name}-0.0.60-fake-release-version.patch
%else
Source0:	http://github.com/calf-studio-gear/calf/archive/%{name}-%{version}.tar.gz
%endif
BuildRequires:	desktop-file-utils
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(cairo) >= 1.2.0
BuildRequires:	pkgconfig(dssi)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(fluidsynth) >= 1.0.7
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lash-1.0) >= 0.5.2
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(lv2)
Requires:	fluidsynth
Requires:	lv2
Requires:	redland

%description
Calf is a pack of audio plugins for the LV2 interface. It contains the
following audio effects: vintage delay, rotary speaker, reverb, multi chorus,
flanger, phaser, filter, compressor. It also contains two full-blown
synthesizers: monosynth and organ.

%files
%doc README COPYING AUTHORS
%{_bindir}/calfjackhost
%{_libdir}/lv2/%{name}.lv2
%{_libdir}/%{name}/%{name}.so
%{_datadir}/%{name}/*
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}_plugin.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}_plugin.svg
%{_mandir}/man1/calfjackhost.1.*
%{_mandir}/man7/%{name}.7.*
%{_datadir}/applications/%{name}.desktop

#-----------------------------------------------------------------------------


%prep
%if %{git}
%setup -qn %{name}-%{gitdate}
%patch0 -p1
%else
%setup -q
%endif


%build
autoreconf -vfi
# If a prevuois calf release is already installed the build
# will fail without the "--without-obsolete-check" configure option
%configure2_5x	\
		--with-lv2-dir=%{_libdir}/lv2 \
		--enable-static=false \
%ifarch x86_64
		--enable-sse \
%endif
		--enable-experimental=yes \
		--with-bash-completion-dir="%{_datadir}/bash-completion/completions"
%make


%install
%makeinstall_std
desktop-file-edit	--remove-category="GNOME" --add-category="GTK" \
					--add-category="GNOME" --remove-key="Version" \
					%{buildroot}%{_datadir}/applications/%{name}.desktop

rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

%changelog

* Sat Nov 04 2017 Giovanni Mariani <mc2374@mclink.it> 0.90.0-1
- (b567c70) Updated to release 0.90.0


